--***************************************************************
--*脚本名称:
--*功能: 内容日报-简化版-for 思璟
--*业务名称: pm
--*输入数据:
--*作者: weiyimin@igengmei.com
--*更新时间:
--***************************************************************

--设置全局变量&UDF
SET mapreduce.job.queuename=data;

--使用bl数据库
USE pm;

--创建BL层内部表
CREATE TABLE IF NOT EXISTS pm.tl_pm_content_v2
(
 day_id string comment '{"chs_name":"当天日期","description":"","etl":"","value":"","remark":""}',
 device_os_type string comment '{"chs_name":"设备类型","description":"","etl":"","value":"","remark":""}',
 active_type string comment '{"chs_name":"活跃类型","description":"","etl":"","value":"","remark":""}',
 channel string comment '{"chs_name":"渠道","description":"","etl":"","value":"","remark":""}',
 dau BIGINT comment '{"chs_name":"日活","description":"","etl":"","value":"","remark":""}',
 retention_rate_2 string comment '{"chs_name":"次留率","description":"","etl":"","value":"","remark":""}',
 retention_rate_3 string comment '{"chs_name":"第3日留存率","description":"","etl":"","value":"","remark":""}',
 retention_rate_7 string comment '{"chs_name":"第7日留存率","description":"","etl":"","value":"","remark":""}',
 home_card_click_uv BIGINT comment '{"chs_name":"首页卡片点击uv","description":"","etl":"","value":"","remark":""}',
 home_card_click_pv BIGINT comment '{"chs_name":"首页卡片点击pv","description":"","etl":"","value":"","remark":""}',
 home_good_click BIGINT comment '{"chs_name":"来源于首页的good click（浏览时长>=20s的内容）","description":"","etl":"","value":"","remark":""}',
 page_stay_per_device string comment '{"chs_name":"单设备内容浏览时长(m)","description":"","etl":"","value":"","remark":""}',
 ai_report_uv BIGINT comment '{"chs_name":"ai结果页uv","description":"","etl":"","value":"","remark":""}',
 ai_report_card_click_uv BIGINT comment '{"chs_name":"ai结果页内容卡片点击uv","description":"","etl":"","value":"","remark":""}',
 ai_report_card_click_pv BIGINT comment '{"chs_name":"ai结果页内容卡片点击pv","description":"","etl":"","value":"","remark":""}',
 ai_report_good_click BIGINT comment '{"chs_name":"来源于结果页的good click（浏览时长>=20s的内容）","description":"","etl":"","value":"","remark":""}'
)comment '内容日报-简化版'
PARTITIONED BY (PARTITION_DAY STRING comment '分区日期')
ROW FORMAT DELIMITED
FIELDS TERMINATED BY '\t'
COLLECTION ITEMS TERMINATED BY '\002'
MAP KEYS TERMINATED BY '\003'
LINES TERMINATED BY '\n'
STORED AS TEXTFILE;