
select substr(day_id,1,6) `日期`
        ,device_os_type `系统`
        ,active_type `活跃`
        ,channel `渠道`
        ,round(avg(home_good_click_uv),0) as `首页good click设备数`
        ,concat(round(avg(if(home_good_click_quality=0,NULL,home_good_click_quality))*100,2),'%') as `首页gc用户次留率/全站次留率`
        ,round(avg(home_ungood_click_uv),0) as `点击首页卡片但非gc设备数`
        ,concat(round(avg(if(home_ungood_click_quality=0,NULL,home_ungood_click_quality))*100,2),'%') as `点击首页卡片但非gc设备次留率/全站次留率`
        ,round(avg(no_click_uv),0) as `未点击首页feed卡片设备数`
        ,concat(round(avg(if(no_click_uv_quality=0,NULL,no_click_uv_quality))*100,2),'%') as `未点击首页feed卡片设备次留率/全站次留率`
        ,concat(round(avg(if(home_good_click_retention_quality=0,NULL,home_good_click_retention_quality))*100,2),'%') as `当天点击首页feed卡片，且次日依旧点击的次留率/全站次留率`
FROM pm.tl_pm_content_retention
where ((partition_day='20201110' and day_id<='20201109')
       or (partition_day>'20201110' and partition_day<regexp_replace(DATE_SUB(current_date,1) ,'-','')
           and day_id=REGEXP_REPLACE(date_sub(concat_ws('-',substr(partition_day,1,4),substr(partition_day,5,2),substr(partition_day,7,2)),1), '-', ''))
       or partition_day=regexp_replace(DATE_SUB(current_date,1) ,'-',''))
group by substr(day_id,1,6),device_os_type,active_type,channel
order by `日期`,`系统`,`活跃`,`渠道`