select day_id as `日期`
    ,device_os_type as `平台`
    ,active_type as `活跃`
    ,channel as `渠道`
    ,dau as `dau`
    ,search_uv as `搜索uv`
    ,search_uv_in_dau as `搜索uv/dau`
    ,do_search_uv as `完成搜索uv`
    ,do_search_pv as `完成搜索pv`
    ,do_search_rate as `完成搜索的用户比例`
    ,search_times as `搜索用户人均使用次数`
    ,search_diary_to_content_uv`来源于搜索日记tab的日记及帖子页uv`
    ,search_diary_to_content_pv `来源于搜索日记tab的日记及帖子页pv`
    ,search_diary_to_content_uv_rate`来源于搜索日记tab的日记及帖子页uv/搜索uv`
    ,search_qa_to_content_uv`来源于搜索问答tab的问答页uv`
    ,search_qa_to_content_pv`来源于搜索问答tab的问答页pv`
    ,search_qa_to_content_uv_rate`来源于搜索问答tab的问答页uv/搜索uv`
    ,diary_tab_ctr`日记tab ctr`
    ,diary_tab_pv_per_uv`日记tab卡片点击pv/uv`
    ,qa_tab_ctr`问答tab ctr`
    ,qa_tab_pv_per_uv`问答tab卡片点击pv/uv`
    ,content_pv_in_search_uv as `来源于搜索日记和问答tab的内容页PV/搜索uv`
    ,diary_second_pv_in_search_uv`来源于搜索日记tab的内容二跳PV/搜索uv`
    ,qa_second_pv_in_search_uv`来源于搜索问答tab的内容二跳PV/搜索uv`
    ,content_pagestay_in_search_uv as `来源于搜索日记及问答tab的内容总时长/搜索uv(s)`
    ,avg_contents as `完成搜索用户人均阅读内容篇数`
    ,search_retention as `功能次留`
FROM pm.tl_pm_search_content
where partition_day>='20201109' and partition_day <= regexp_replace(DATE_SUB(current_date,1) ,'-','')
order by `日期`,`平台`,`活跃`,`渠道`