SELECT day_id as `日期`
        ,device_os_type as `系统`
        ,active_type as `活跃`
        ,grey_type as `灰度`
        ,channel as `渠道`
        ,retention_rate as `次留率`
        ,ctr as `首页信息流综合ctr`
        ,card_exp_pv as `卡片曝光pv`
        ,card_click_pv as `卡片点击pv`
        ,exp_pv_per_uv`人均卡片曝光`
        ,card_pv_per_uv`人均卡片点击`
        ,card_exp_uv as `卡片曝光uv`
        ,card_click_uv as `卡片点击uv`
        ,avg_content_pagestay as `单内容浏览时长（m）`
        ,avg_app_duration as `单设备使用时长（m）`
        ,pagestay_in_app_duration as `内容浏览时长在app使用时长上的占比`
--        ,wel_second_in_content_pv`来自内容页的商业二跳/内容pv`
--        ,content_second_in_content_pv`来自内容页的内容二跳/内容pv`
        ,home_cardclick_uv_in_home_uv as `首页卡片点击uv/首页uv`
        ,home_goodclick_uv_in_homeclick_uv as `good click卡片数uv/首页点击卡片数uv`
from pm.tl_pm_grey_recommend_d
where ((partition_day='20201116' and day_id<='2020-11-15')
       or (partition_day>'20201116' and partition_day<regexp_replace(DATE_SUB(current_date,1) ,'-','')
           and day_id=date_sub(concat_ws('-',substr(partition_day,1,4),substr(partition_day,5,2),substr(partition_day,7,2)),1))
       or partition_day=regexp_replace(DATE_SUB(current_date,1) ,'-',''))
